## amphetamine 0.8.10

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
-# Edit this file to define constants and custom build targets.
-# Please refer to the makemake documentation for more information.
-
 #===============
 # User settings
 #===============
 
+# Install Paths
 PREFIX := /usr/local
 INSTALL_DIR := ${PREFIX}/games/amph
 
-# Linux or SPARC
-TARGET_ARCH := Linux
+# Libraries
+USE_LIB_XPM := TRUE
 
-USE_LIB_XPM := TRUE
-SDL_HEADERS := /usr/local/include/SDL
+SDL_CONFIG := sdl-config
+SDL_HEADERS := $(shell $(SDL_CONFIG) --cflags)
+SDL_LIBS := $(shell $(SDL_CONFIG) --libs)
 
-#===============
+#=======================================================
+# You should not have to change anything below
 
 # Useful directories
 
@@ -22,7 +22,7 @@
 
 # Directories to search for header files
 
-SEARCHDIRS := -I- -I${MYCODEDIR} -I${SDL_HEADERS}
+SEARCHDIRS := -I${MYCODEDIR} ${SDL_HEADERS}
 
 # makemake variables
 
@@ -37,7 +37,7 @@
 
 # C++
 
-CXX      := g++ 
+CXX      := g++
 CXXFLAGS  = ${DEPENDFLAGS} -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align
 
 %.o : %.cpp
@@ -47,24 +47,26 @@
 	${CXX} ${CPPFLAGS} -c $< ${CXXFLAGS}
 
 # C preprocessor (C, C++, FORTRAN)
-CPPFLAGS = -D_REENTRANT  -DINSTALL_DIR="\"${INSTALL_DIR}\""
+CPPFLAGS = -DINSTALL_DIR="\"${INSTALL_DIR}\""
+
 ifeq ($(USE_LIB_XPM), TRUE)
     CPPFLAGS := $(CPPFLAGS) -D_USE_LIB_XPM 
 endif
 
-ifeq (${TARGET_ARCH}, SPARC)
-    CPPFLAGS := $(CPPFLAGS) -D__SPARC__
+# Allow unaligned memory access on IA-32
+ifeq ($(HOSTTYPE),i386)
+	CPPFLAGS := $(CPPFLAGS) -D__OPT_MEM_ACCESS__
 endif
 
 # linker
 
-LOADLIBES := -lm -lSDL -ldl -lpthread
+LOADLIBES := -lm $(SDL_LIBS)
 
 ifeq ($(USE_LIB_XPM),TRUE)
     LOADLIBES := $(LOADLIBES) -lXpm -lXt
 endif
 
-LDFLAGS   = -L/usr/local/lib -L/usr/X11R6/lib 
+LDFLAGS   = -L/usr/lib -L/usr/local/lib -L/usr/X11R6/lib 
 
 .PHONY : default
 default : amph
