=== debian/changelog ===
amphetamine (0.8.10-19) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Remove DM-Upload-Allowed.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Dominik George ]
  * debian/amphetamine.menu: Added icon entry (closes: #726204).

  [ Michael Gilbert ]
  * Use debhelper 9.
  * Convert icon to 32x32.
  * Fix format string issue.
  * Address some lintian warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Apr 2014 04:00:16 +0000

amphetamine (0.8.10-18) unstable; urgency=low

  * Use multiarch paths for libc6-dev includes (closes: #650468).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 02 Dec 2011 18:41:07 -0500

amphetamine (0.8.10-17) unstable; urgency=low

  * Change build-depend to libc6-dev-i386 [amd64] (closes: #650468).
  * Install upstream changelog.
  * Add descriptions to patches.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 01 Dec 2011 23:01:07 -0500

amphetamine (0.8.10-16) unstable; urgency=low

  * build-depend on libc6-dev-i386 (closes: #640554). 
  * use -iquote and -Wno-write-strings build flags.
  * bump standards version to 3.9.2.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 11 Sep 2011 18:18:38 -0400

amphetamine (0.8.10-15) unstable; urgency=low

  * adopt the package (closes: #544910).
  * set myself as an uploader.
  * set dm-upload-allowed.
  * bump standards version to 3.9.1.
  * convert to source format 3.0 and simplified debian/rules.
  * remove watch file since upstream no longer exists.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Mar 2011 22:25:57 -0400

amphetamine (0.8.10-14) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * disable 000_gcc_m68k.diff that was forcing the use of gcc 4.1.
    amphetamine should build fine on m68k now with the default gcc
    (Closes: #479573)
  * clean the .pc/ directory

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Sat, 09 Aug 2008 14:58:26 +0200

amphetamine (0.8.10-13) unstable; urgency=low

  [ Barry deFreese ]
  * Bump compat/debhelper to 5.
  * Add Hompage and vcs tags to debian/control.
  * Remove Homepage field from package description.
  * Fix make clean target for lintian warning.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.
  * Fix watch file (Closes: #456472).
  * Add desktop file. (Closes: #471254).
    + Add call to dh_desktop.
  * Replace 'pwd' with $(CURDIR) in rules.
  * Update Homepage URL.
  * Add myself to uploaders.

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location.

  [ Jon Dowland ]
  * add debian/amphetamine.links, creating symlinks amphetamine -> amph
    for binaries and manpages (Closes: #471257).
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 18 Mar 2008 14:09:19 -0400

amphetamine (0.8.10-12) unstable; urgency=high

  [ Sam Hocevar (Debian packages) ]
  * debian/patches/000_no_lxt.diff:
    + New patch. Removes useless -lXt link flag (Closes: #397558).

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:22:44 +0100

amphetamine (0.8.10-11) unstable; urgency=low

  [ Sam Hocevar ]
  * debian/patches/020_assumed_sizeof_long.diff:
    + New patch, courtesy of Darren Salt: fix wrong assumption that long is
      a 32 bit type (Closes: #380404).

  [ Eddy Petrișor ]
  * fixed watch file
  * added a link to the upstream homepage

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  2 Aug 2006 11:11:24 +0200

amphetamine (0.8.10-10) unstable; urgency=low

  * debian/control:
    + Remove the amphetamine/amphetamine-data dependency loop.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 27 May 2006 09:30:09 +0200

amphetamine (0.8.10-9) unstable; urgency=low

  * Maintainer upload.
  * Acknowledge previous NMU (Closes: 346658). Thanks to Luk Claes.
  * Moved packaging to the Debian Games Team.
  * Use quilt for patch management.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.

  * debian/patches/010_newline.diff:
    + New patch from old diff.gz -- fix newlines at end of file.

  * debian/patches/000_data_path.diff:
    + New patch from old diff.gz -- fix shared data paths in makefile.

  * debian/patches/010_missing_headers.diff:
    + New patch from old diff.gz -- fix compilation warnings.

  * debian/patches/010_etc_dir.diff:
    + New patch from old diff.gz -- use /etc as the configuration directory.

  * debian/patches/010_bugs.diff:
    + New patch from old diff.gz -- fix various bugs.

  * debian/patches/000_gcc_m68k.diff:
    + New patch -- use g++-4.1 on m68k to work around a g++ bug
      (Closes: #363318).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 15 May 2006 11:54:38 -0500

amphetamine (0.8.10-8.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346658).

 -- Luk Claes <luk@debian.org>  Sun, 15 Jan 2006 16:41:54 +0100

amphetamine (0.8.10-8) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Nov 2005 14:18:21 +0100

amphetamine (0.8.10-7) unstable; urgency=low

  * Makefile:
    + Do not systematically strip the main binary (Closes: #230051).
  * src/Appl.cpp:
    + Fixed calculation of average time so that the monsters get their full
      timeslice after a pause (Closes: #226156).
  * src/ConstVal.cpp:
    + Fixed an uninitialised variable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:24:31 +0100

amphetamine (0.8.10-6) unstable; urgency=low

  * New maintainer (Closes: #226287).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Slightly shortened the short description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:24:31 +0100

amphetamine (0.8.10-5) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Jan 2004 00:34:34 -0500


