=== debian/control ===
Source: amphetamine
Section: games
Priority: optional
Build-Depends:
 debhelper (>= 9),
 libxpm-dev,
 imagemagick,
 libsdl1.2-dev (>= 1.2.2-3.1),
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: 
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Barry deFreese <bddebian@comcast.net>,
 Michael Gilbert <mgilbert@debian.org>
Standards-Version: 3.9.5
Homepage: http://homepage.hispeed.ch/loehrer/amph/amph.html
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/amphetamine/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/amphetamine/

Package: amphetamine
Architecture: any
Depends:
 amphetamine-data (>= 0.8.7-12),
 ${shlibs:Depends},
 ${misc:Depends}
Description: jump'n run game with unique visual effects
 Amphetamine is an exciting jump'n run game that offers some unique visual
 effects like colored lighting, fogging and coronas. You must fight eleven
 evil monsters with your magic weapons.
