=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	cp ChangeLog changelog
	convert amph.xpm -resize 32x32 debian/amph.xpm

override_dh_clean:
	dh_clean -- changelog debian/amph.xpm
